<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ContactAction extends \Google\Protobuf\Internal\Message
{
    


    protected $fullName = null;
    


    protected $firstName = null;
    


    protected $lidJid = null;
    


    protected $saveOnPrimaryAddressbook = null;
    


    protected $pnJid = null;
    


    protected $username = null;

    













    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getFullName()
    {
        return isset($this->fullName) ? $this->fullName : '';
    }

    public function hasFullName()
    {
        return isset($this->fullName);
    }

    public function clearFullName()
    {
        unset($this->fullName);
    }

    




    public function setFullName($var)
    {
        GPBUtil::checkString($var, True);
        $this->fullName = $var;

        return $this;
    }

    



    public function getFirstName()
    {
        return isset($this->firstName) ? $this->firstName : '';
    }

    public function hasFirstName()
    {
        return isset($this->firstName);
    }

    public function clearFirstName()
    {
        unset($this->firstName);
    }

    




    public function setFirstName($var)
    {
        GPBUtil::checkString($var, True);
        $this->firstName = $var;

        return $this;
    }

    



    public function getLidJid()
    {
        return isset($this->lidJid) ? $this->lidJid : '';
    }

    public function hasLidJid()
    {
        return isset($this->lidJid);
    }

    public function clearLidJid()
    {
        unset($this->lidJid);
    }

    




    public function setLidJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->lidJid = $var;

        return $this;
    }

    



    public function getSaveOnPrimaryAddressbook()
    {
        return isset($this->saveOnPrimaryAddressbook) ? $this->saveOnPrimaryAddressbook : false;
    }

    public function hasSaveOnPrimaryAddressbook()
    {
        return isset($this->saveOnPrimaryAddressbook);
    }

    public function clearSaveOnPrimaryAddressbook()
    {
        unset($this->saveOnPrimaryAddressbook);
    }

    




    public function setSaveOnPrimaryAddressbook($var)
    {
        GPBUtil::checkBool($var);
        $this->saveOnPrimaryAddressbook = $var;

        return $this;
    }

    



    public function getPnJid()
    {
        return isset($this->pnJid) ? $this->pnJid : '';
    }

    public function hasPnJid()
    {
        return isset($this->pnJid);
    }

    public function clearPnJid()
    {
        unset($this->pnJid);
    }

    




    public function setPnJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->pnJid = $var;

        return $this;
    }

    



    public function getUsername()
    {
        return isset($this->username) ? $this->username : '';
    }

    public function hasUsername()
    {
        return isset($this->username);
    }

    public function clearUsername()
    {
        unset($this->username);
    }

    




    public function setUsername($var)
    {
        GPBUtil::checkString($var, True);
        $this->username = $var;

        return $this;
    }

}

